Bug 3600 - [UPDATE REQUEST] nvidia-current-331.38
: [UPDATE REQUEST] nvidia-current-331.38
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-14 15:05 MSK by Aleksandr Kazantcev
Modified: 2014-01-28 11:22 MSK (History)
3 users (show)

See Also:
RPM Package: nvidia-current-331.20-1
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
logs (122.81 KB, application/zip)
2014-01-16 07:00 MSK, Vladimir Potapov
Details
Xorg.0.log (37.90 KB, text/x-log)
2014-01-21 00:11 MSK, Postnikov Dmitry
Details
bumblebee1.txt (4.13 KB, text/plain)
2014-01-21 00:13 MSK, Postnikov Dmitry
Details
jj1.txt (281.65 KB, text/plain)
2014-01-21 00:59 MSK, Postnikov Dmitry
Details
bumblebee.conf (2.96 KB, text/plain)
2014-01-21 00:59 MSK, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2014-01-14 15:05:57 MSK
New version of nvidia
Comment 1 Aleksandr Kazantcev 2014-01-14 15:09:27 MSK
https://abf.rosalinux.ru/build_lists/1517703
https://abf.rosalinux.ru/build_lists/1517704

Advisory: This update provide some bugfix and new features:

- Added support for NVIDIA OpenGL-based Framebuffer Capture (NvFBCOpenGL). This library provides a high performance, low latency interface to capture and optionally encode the composited framebuffer of an X screen. NvFBC and NvIFR are private APIs that are only available to approved partners for use in remote graphics scenarios.  Please contact NVIDIA at GRIDteam@nvidia.com for more information.
- Fixed a bug that prevented configuration files containing application profiles from being loaded when directories were present in the application profile configuration search path.
- Deferred initialization of libselinux in the NVIDIA OpenGL driver, in order to avoid a problem where libselinux might not be ready when the NVIDIA libGL shared library is first loaded.
- Fixed a bug that could lead to memory exhaustion in OpenGL applications running on 32-bit systems.
- Added nvidia-uvm.ko, the NVIDIA Unified Memory kernel module, to the NVIDIA Linux driver package. This kernel module provides support for the new Unified Memory feature in an upcoming CUDA release.
- Fixed a bug that caused the X server to fail to initialize when DisplayPort 1.2 monitors were assigned to separate X screens on the same GPU.
- Fixed a bug that could cause a deadlock when forking from OpenGL programs which use some malloc implementations, such as TCMalloc.
- Fixed a bug that prevented Warp & Blend settings from being retained across display configuration changes.
- Fixed a bug that prevented some settings changes made via the nvidia-settings command line interface from being reflected in the nvidia-settings graphical user interface.
- Changed the clipping behavior of the NVIDIA X driver on Trapezoids and Triangles for some RENDER operations to match the behavior in newer versions of Pixman:
http://lists.freedesktop.org/archives/pixman/2013-April/002755.html
- Fixed a bug in MetaMode tracking that could cause spurious error messages to be printed when attempting to add or delete Metamodes via NV-CONTROL.
- Fixed a bug that caused the NVIDIA X driver to attempt to load the X11 "shadow" module unconditionally, even in situations where the driver had no need to use the module. This could result in the printing of spurious error messages, on X servers where the module was not present.
- Fixed a bug that prevented display configuration changes made with xvidtune(1) from working correctly.
- Fixed a bug that occasionally caused display corruption in GLX applications while changing the display configuration.
- Fixed a bug that prevented glReadPixels from working correctly when reading from Pixel Buffer Objects over indirect rendering, when the image width is not a multiple of 4.
- Added a new NV-CONTROL attribute, NV_CTRL_BACKLIGHT_BRIGHTNESS, for controlling backlight brightness.
- Fixed a bug that prevented nvidia-settings from creating display device configuration pages for newly connected DisplayPort 1.2 Multi Stream Transport downstream devices.
- Added GPU utilization reporting to the nvidia-settings control panel.
- Fixed a bug in the nvidia-settings control panel that prevented users from configuring stereo, when stereo was not already configured.
- Added support for reporting the tachometer-measured fan speed on capable graphics boards via nvidia-settings and the NV-CONTROL API. The preexisting mechanism for reporting fan speed reports the speed of the fan as programmed by the driver. For example, `nvidia-settings --query=[fan:0]/GPUCurrentFanSpeedRPM`.
- Fixed a regression that caused GPUs that do not support graphics to not appear in nvidia-settings.
- Fixed a bug that caused DisplayPort 1.2 multi-stream devices to stop working if they were unplugged and plugged back in while they were active in the current MetaMode.
- Added support for multiple NVIDIA kernel modules. This feature allows users to assign different GPUs in the system to different NVIDIA kernel modules, potentially reducing the software overhead of coordinating access to multiple GPUs.
- Added support for the EGL API on 32-bit platforms.  Currently, the supported client APIs are OpenGL ES 1.1, 2.0 and 3.0, and the only supported window system backend is X11.
- Add a new option, AllowEmptyInitialConfiguration, which allows the X server to start even if no connected display devices are detected at startup.  This option can be enabled by running "sudo nvidia-xconfig --allow-empty-initial-configuration" 
- This option is useful in RandR 1.4 display offload configurations where no display devices are connected to the NVIDIA GPU when the X server is started, but might be connected later.
- Added a system memory cache to improve the performance of certain X rendering operations that use software rendering fallbacks.  The X configuration option "SoftwareRenderCacheSize" may be used to configure the size of the cache.
- Removed the "DynamicTwinView" X configuration option: dynamic reconfiguration of displays is always possible, and can no longer be disabled.
- Fixed a bug that caused nvidia-settings to display incorrect information in its display configuration page when all displays on an X screen were turned off.
Comment 2 Vladimir Potapov 2014-01-16 07:00:19 MSK
My test system (x32) complete fail after update (no X, no text-console)
**************************
QA Denied
Comment 3 Vladimir Potapov 2014-01-16 07:00:51 MSK
Created attachment 2533 [details]
logs
Comment 4 Aleksandr Kazantcev 2014-01-16 12:34:46 MSK
Please try newest version:

https://abf.rosalinux.ru/build_lists/1522714
https://abf.rosalinux.ru/build_lists/1522907

If it works, i will create new request
Comment 5 Vladimir Potapov 2014-01-16 16:30:30 MSK
(In reply to comment #4)
> Please try newest version:
> 
> https://abf.rosalinux.ru/build_lists/1522714
> https://abf.rosalinux.ru/build_lists/1522907
> 
> If it works, i will create new request

Don't create new request needed, only set QA flag.
Comment 6 Aleksandr Kazantcev 2014-01-16 16:55:36 MSK
Plese note - we have some dkms issues and if system may boot only after second reboot. This is not related to blob...
Comment 7 Vladimir Potapov 2014-01-16 17:05:44 MSK
(In reply to comment #6)
> Plese note - we have some dkms issues and if system may boot only after
> second reboot. This is not related to blob...
Not effect. 
I try with new systemd and with old systemd, two reboots, don't result :-(
******************
QA Denied
Comment 8 Aleksandr Kazantcev 2014-01-16 17:08:25 MSK
What card? I test 331.38 on two systems - all OK.

And nomodeset present?
Comment 9 Vladimir Potapov 2014-01-16 17:15:06 MSK
(In reply to comment #8)
> What card? I test 331.38 on two systems - all OK.
> 
> And nomodeset present?

GTX650. Complete updated, work x86 system (R1 updated to R2). Nomodeset OK.
Comment 10 Vladimir Potapov 2014-01-20 07:39:39 MSK
I reinstall ROSA R2. After reinstall system work with the driver correct.
The update route to extended testing.
Comment 11 Postnikov Dmitry 2014-01-21 00:11:44 MSK
Created attachment 2562 [details]
Xorg.0.log

I install new driver for Optimus 620M. Test GL all passed, but in Xorg log file many messages.
Comment 12 Postnikov Dmitry 2014-01-21 00:13:49 MSK
Created attachment 2563 [details]
bumblebee1.txt

And bumblebee write Error in log file when the program is run.
Comment 13 Aleksandr Kazantcev 2014-01-21 00:16:00 MSK
urpmi x11-driver-video-modesetting
Comment 14 Postnikov Dmitry 2014-01-21 00:39:39 MSK
(In reply to comment #13)
> urpmi x11-driver-video-modesetting

Yes, in Xorg log file no Warning and Error messages.
But Bumblebee still writes the error in log file.
================
Jan 21 00:35:05 mindlife2efiG bumblebeed[3546]: [   76.546978] [ERROR][XORG] (EE) NVIDIA(0): Failed to initiate mode change.
Jan 21 00:35:05 mindlife2efiG bumblebeed[3546]: [   76.546983] [ERROR][XORG] (EE) NVIDIA(0): Failed to complete mode change
Jan 21 00:35:05 mindlife2efiG bumblebeed[3546]: [   76.972235] [ERROR][XORG] (EE) Server terminated successfully (0). Closing log file.
Jan 21 00:35:13 mindlife2efiG bumblebeed[3546]: [   84.379876] [ERROR][XORG] (EE) NVIDIA(0): Failed to initiate mode change.
Jan 21 00:35:13 mindlife2efiG bumblebeed[3546]: [   84.379879] [ERROR][XORG] (EE) NVIDIA(0): Failed to complete mode change
Jan 21 00:35:21 mindlife2efiG bumblebeed[3546]: [   92.138130] [ERROR][XORG] (EE) Server terminated successfully (0). Closing log file.
Jan 21 00:35:28 mindlife2efiG bumblebeed[3546]: [   99.711380] [ERROR][XORG] (EE) NVIDIA(0): Failed to initiate mode change.
Jan 21 00:35:28 mindlife2efiG bumblebeed[3546]: [   99.711384] [ERROR][XORG] (EE) NVIDIA(0): Failed to complete mode change
Jan 21 00:35:28 mindlife2efiG bumblebeed[3546]: [   99.829252] [ERROR][XORG] (EE) Server terminated successfully (0). Closing log file.
Jan 21 00:35:36 mindlife2efiG bumblebeed[3546]: [  107.279737] [ERROR][XORG] (EE) NVIDIA(0): Failed to initiate mode change.
Jan 21 00:35:36 mindlife2efiG bumblebeed[3546]: [  107.279741] [ERROR][XORG] (EE) NVIDIA(0): Failed to complete mode change
Jan 21 00:35:36 mindlife2efiG bumblebeed[3546]: [  107.423333] [ERROR][XORG] (EE) Server terminated successfully (0). Closing log file.
J
......
=========================
Comment 15 Aleksandr Kazantcev 2014-01-21 00:56:17 MSK
Is bubmblebee work?


Also provide full journalctl and messages

And bumblebe.conf from etc
Comment 16 Postnikov Dmitry 2014-01-21 00:59:28 MSK
Created attachment 2564 [details]
jj1.txt

(In reply to comment #15)
> Is bubmblebee work?
> 
> 
> Also provide full journalctl and messages
> 
> And bumblebe.conf from etc


Bumblebee is work.

I attach journalctl.
Comment 17 Postnikov Dmitry 2014-01-21 00:59:55 MSK
Created attachment 2565 [details]
bumblebee.conf
Comment 18 Postnikov Dmitry 2014-01-21 23:25:42 MSK
The 3D game Speed Dreams 2 and Wideland is play with Bumblebee! But bumblebee error in log file.
Comment 19 Aleksandr Kazantcev 2014-01-21 23:36:25 MSK
M.. You use primus or optirun ?

May be error with 'auto' options...

If all work this is only spam in log - we need investigate this with more instans.

And providing jornalctl after run bumblebee will be usefull too.
Comment 20 Postnikov Dmitry 2014-01-22 00:22:25 MSK
(In reply to comment #19)
> M.. You use primus or optirun ?
> 
> May be error with 'auto' options...
> 
> If all work this is only spam in log - we need investigate this with more
> instans.
> 
> And providing jornalctl after run bumblebee will be usefull too.

By default used VirtualGl.
Yes 'auto' option. But with the old driver the same settings are no errors in the logs was not.
Yes, only spam in log.
In Commit 16 i attached journalctl after run optirun.
Comment 21 Aleksandr Kazantcev 2014-01-22 00:27:02 MSK
Try run with 'primus' in config. This is strange - error in log, but working system.
Comment 22 Postnikov Dmitry 2014-01-22 00:39:02 MSK
(In reply to comment #21)
> Try run with 'primus' in config. This is strange - error in log, but working
> system.

Hmm...
I install primus, and rewrite options 'primus'. Run primusrun <game>, and after playing i see:
[pastordi@mindlife2efiG 2458]$ primusrun speed-dreams-2
Ошибка сегментирования (слепок снят)
And the same error in log file:
Jan 22 00:34:26 mindlife2efiG bumblebeed[8441]: [ 4386.157569] [ERROR][XORG] (EE) NVIDIA(0): Failed to initiate mode change.
Jan 22 00:34:26 mindlife2efiG bumblebeed[8441]: [ 4386.157578] [ERROR][XORG] (EE) NVIDIA(0): Failed to complete mode change
Jan 22 00:34:42 mindlife2efiG bumblebeed[8441]: [ 4402.397927] [ERROR][XORG] (EE) NVIDIA(0): Failed to initiate mode change.
Jan 22 00:34:42 mindlife2efiG bumblebeed[8441]: [ 4402.397931] [ERROR][XORG] (EE) NVIDIA(0): Failed to complete mode change
Comment 23 Aleksandr Kazantcev 2014-01-22 00:40:32 MSK
Yeh... As i see in Arch forum this is error with nvidia drivers and kernel 3.10...

I will try find a fix for this.
Comment 24 Aleksandr Kazantcev 2014-01-22 00:41:22 MSK
But with 331.20 work OK? (from 1 post)
Comment 25 Postnikov Dmitry 2014-01-22 00:42:26 MSK
(In reply to comment #24)
> But with 331.20 work OK? (from 1 post)

I don't tested 331.20.
Comment 27 Postnikov Dmitry 2014-01-22 11:29:28 MSK
(In reply to comment #26)
> Try new bbswitch
> 
> https://abf.rosalinux.ru/build_lists/1543417
> https://abf.rosalinux.ru/build_lists/1543418

systemd-204-24-rosa2012.1.x86_64
kernel-nrj-desktop-3.10.19-2rosa-1-1-rosa2012.1.x86_64
dkms-nvidia-current-331.38-1-rosa2012.1.x86_64
dkms-bbswitch-0.7-1-rosa2012.1.noarch

Yes! No error in log file. All works, i tested stress test, two 3D games - all works.
Comment 28 Aleksandr Kazantcev 2014-01-22 11:30:27 MSK
OK. I push new bbswitch to repo.
Comment 29 Vladimir Potapov 2014-01-22 13:43:56 MSK
(In reply to comment #28)
> OK. I push new bbswitch to repo.

Add x11-driver-video-modesetting in requirements?
Comment 30 Aleksandr Kazantcev 2014-01-22 13:48:18 MSK
mmm.. this is requirements for x11-server, not blob.

I check this. And nomodesetting only warning - we has switch order like 

 fb -> vesa -> nomodesetting -> driver


And they did not requires for 99.9%.
Comment 31 Aleksandr Kazantcev 2014-01-22 13:57:53 MSK
I am add x11-driver-video-modesetting in all build distrib git project - new project will be with x11-driver-video-modesetting
Comment 32 Vladimir Potapov 2014-01-22 15:21:03 MSK
dkms-bbswitch-0.7-1-rosa2012.1
dkms-nvidia-current-331.38-1-rosa2012.1
******************************** Advisory *************************
This update provide some bugfix and new features
******************************** Changelog *************************

- Added support for NVIDIA OpenGL-based Framebuffer Capture (NvFBCOpenGL). This library provides a high performance, low latency interface to capture and optionally encode the composited framebuffer of an X screen. NvFBC and NvIFR are private APIs that are only available to approved partners for use in remote graphics scenarios.  Please contact NVIDIA at GRIDteam@nvidia.com for more information.
- Fixed a bug that prevented configuration files containing application profiles from being loaded when directories were present in the application profile configuration search path.
- Deferred initialization of libselinux in the NVIDIA OpenGL driver, in order to avoid a problem where libselinux might not be ready when the NVIDIA libGL shared library is first loaded.
- Fixed a bug that could lead to memory exhaustion in OpenGL applications running on 32-bit systems.
- Added nvidia-uvm.ko, the NVIDIA Unified Memory kernel module, to the NVIDIA Linux driver package. This kernel module provides support for the new Unified Memory feature in an upcoming CUDA release.
- Fixed a bug that caused the X server to fail to initialize when DisplayPort 1.2 monitors were assigned to separate X screens on the same GPU.
- Fixed a bug that could cause a deadlock when forking from OpenGL programs which use some malloc implementations, such as TCMalloc.
- Fixed a bug that prevented Warp & Blend settings from being retained across display configuration changes.
- Fixed a bug that prevented some settings changes made via the nvidia-settings command line interface from being reflected in the nvidia-settings graphical user interface.
- Changed the clipping behavior of the NVIDIA X driver on Trapezoids and Triangles for some RENDER operations to match the behavior in newer versions of Pixman:
http://lists.freedesktop.org/archives/pixman/2013-April/002755.html
- Fixed a bug in MetaMode tracking that could cause spurious error messages to be printed when attempting to add or delete Metamodes via NV-CONTROL.
- Fixed a bug that caused the NVIDIA X driver to attempt to load the X11 "shadow" module unconditionally, even in situations where the driver had no need to use the module. This could result in the printing of spurious error messages, on X servers where the module was not present.
- Fixed a bug that prevented display configuration changes made with xvidtune(1) from working correctly.
- Fixed a bug that occasionally caused display corruption in GLX applications while changing the display configuration.
- Fixed a bug that prevented glReadPixels from working correctly when reading from Pixel Buffer Objects over indirect rendering, when the image width is not a multiple of 4.
- Added a new NV-CONTROL attribute, NV_CTRL_BACKLIGHT_BRIGHTNESS, for controlling backlight brightness.
- Fixed a bug that prevented nvidia-settings from creating display device configuration pages for newly connected DisplayPort 1.2 Multi Stream Transport downstream devices.
- Added GPU utilization reporting to the nvidia-settings control panel.
- Fixed a bug in the nvidia-settings control panel that prevented users from configuring stereo, when stereo was not already configured.
- Added support for reporting the tachometer-measured fan speed on capable graphics boards via nvidia-settings and the NV-CONTROL API. The preexisting mechanism for reporting fan speed reports the speed of the fan as programmed by the driver. For example, `nvidia-settings --query=[fan:0]/GPUCurrentFanSpeedRPM`.
- Fixed a regression that caused GPUs that do not support graphics to not appear in nvidia-settings.
- Fixed a bug that caused DisplayPort 1.2 multi-stream devices to stop working if they were unplugged and plugged back in while they were active in the current MetaMode.
- Added support for multiple NVIDIA kernel modules. This feature allows users to assign different GPUs in the system to different NVIDIA kernel modules, potentially reducing the software overhead of coordinating access to multiple GPUs.
- Added support for the EGL API on 32-bit platforms.  Currently, the supported client APIs are OpenGL ES 1.1, 2.0 and 3.0, and the only supported window system backend is X11.
- Add a new option, AllowEmptyInitialConfiguration, which allows the X server to start even if no connected display devices are detected at startup.  This option can be enabled by running "sudo nvidia-xconfig --allow-empty-initial-configuration" 
- This option is useful in RandR 1.4 display offload configurations where no display devices are connected to the NVIDIA GPU when the X server is started, but might be connected later.
- Added a system memory cache to improve the performance of certain X rendering operations that use software rendering fallbacks.  The X configuration option "SoftwareRenderCacheSize" may be used to configure the size of the cache.
- Removed the "DynamicTwinView" X configuration option: dynamic reconfiguration of displays is always possible, and can no longer be disabled.
- Fixed a bug that caused nvidia-settings to display incorrect information in its display configuration page when all displays on an X screen were turned off.
****************************************************
QA Verified